Skip to content

Get the login application

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the logged-in application

Method name

AuthenticationClient.getLoggedInApps

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Sample code

ts
import { AuthenticationClient, Models } from "authing-node-sdk";

const authenticationClient = new AuthenticationClient({
  // Need to replace with your GenAuth AppId, Secret and Host
  appId: "GEN_AUTH_APP_ID",
  appSecret: "GEN_AUTH_APP_SECRET",
  appHost: "GEN_AUTH_APP_HOST",
});

(async () => {
  // Please call the login interface to get access_token first, and call the setAccessToken method to set access_token
  authenticationClient.setAccessToken("REPLACE_ME_WITH_REAL_ACCESS_TOKEN");

  const result = await authenticationClient.getLoggedInApps();

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: GetLoggedInAppsRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayresponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "appId": "xxx",
    "appName": "Sample application",
    "appLoginUrl": "https://example.genauth.ai/login",
    "appLogo": "https://files.authing.co/authing-console/default-app-logo.png",
    "active": true
  }
}

Data structure

LoggedInAppsDto

NameTypeIs it requiredDescriptionSample value
appIdstringyesApplication IDxxx
appNamestringyesApplication nameSample application
appLoginUrlstringyesApplication login addresshttps://example.genauth.ai/login
appLogostringyesApplication Logohttps://files.authing.co/authing-console/default-app-logo.png
activebooleanyesIs the current login statetrue

Agent infrastructure for identity, memory, and web action.